# EmoWOZ 2.0 - Public

This is the repository for the dataset created for the paper **Infusing Emotions into Task-oriented Dialogue Systems: Understanding, Management, and Generation** presented at SIGDIAL 2024.

This dataset contains additional manually labelled **system emotional conduct** annotations for the original [EmoWOZ dataset](https://zenodo.org/records/6506504).

The dataset can be found at Zenodo.org: https://zenodo.org/records/14810836 and also here. The dataset itself is a JSON file containing a dictionary where the key is `{multiwoz_dialogue_id}-{turn_index}` and the value is the numerical label. The meaning of the label is as following:
 - 0: neutral
 - 1: compassionate
 - 2: apologetic
 - 3: enthusiastic
 - 4: appreciative

In the same Zenodo page, you will also find checkpoints for all pipeline modules of the emotional system proposed in the paper.

## Citation
```
@inproceedings{feng-etal-2024-infusing,
    title = "Infusing Emotions into Task-oriented Dialogue Systems: Understanding, Management, and Generation",
    author = "Feng, Shutong  and
      Lin, Hsien-chin  and
      Geishauser, Christian  and
      Lubis, Nurul  and
      van Niekerk, Carel  and
      Heck, Michael  and
      Ruppik, Benjamin Matthias  and
      Vukovic, Renato  and
      Gasic, Milica",
    editor = "Kawahara, Tatsuya  and
      Demberg, Vera  and
      Ultes, Stefan  and
      Inoue, Koji  and
      Mehri, Shikib  and
      Howcroft, David  and
      Komatani, Kazunori",
    booktitle = "Proceedings of the 25th Annual Meeting of the Special Interest Group on Discourse and Dialogue",
    month = sep,
    year = "2024",
    address = "Kyoto, Japan",
    publisher = "Association for Computational Linguistics",
    url = "https://aclanthology.org/2024.sigdial-1.60/",
    doi = "10.18653/v1/2024.sigdial-1.60",
    pages = "699--717",
    abstract = "Emotions are indispensable in human communication, but are often overlooked in task-oriented dialogue (ToD) modelling, where the task success is the primary focus. While existing works have explored user emotions or similar concepts in some ToD tasks, none has so far included emotion modelling into a fully-fledged ToD system nor conducted interaction with human or simulated users. In this work, we incorporate emotion into the complete ToD processing loop, involving understanding, management, and generation. To this end, we extend the EmoWOZ dataset (Feng et al., 2022) with system affective behaviour labels. Through interactive experimentation involving both simulated and human users, we demonstrate that our proposed framework significantly enhances the user`s emotional experience as well as the task success."
}
```